/* Aurélien Chanez */
/* 16.01.2025 */
/* CSS pour le site de la régate de voile */

/*media queries*/
@media screen and (max-width: 799px) {

    /*tout le site*/
    main div {
        flex-direction: column;
        align-items: center;
    }


    #nav {
        display: none;
        flex-direction: column;
        align-items: center;
        position: fixed;
        right: 15px;
        width: 150px;
    }

    nav {
        padding: 200px;
    }

    nav a {
        margin-top: 20px;
        margin-left: -20px;
        margin-right: -20px;
    }

    .icon-nav {
        display: block;
        position: fixed;
        right: 0;
        margin: 20px;
        width: 30px;
    }

    /*bateau*/

    .tableau {
        font-size: 18px;
    }

    /*description.html*/

    .description p {
        font-size: 18px;
    }

    #description1 {
        flex-direction: column-reverse;
    }

    .lieu-date {
        width: 100%;
    }
 

    .lieu-date p {
        font-size: 18px;
    }

    /*inscription.html*/
    .main-form {
        width: 80%;
        margin-bottom: 50px;
    }

    .form select,
    .form input {
        font-size: 16px;
    }

    /*reglement.html*/

    .embed embed {
        display: none;
    }

    .embed a { 
        background-color: #E692F8;
        border-radius: 12px;
        width: 60%;
        padding: 10px;
        text-decoration: none;
        margin-bottom: 30px;
        align-items: center;
    }

    /*contact*/

    .contact {
        display: flex;
        flex-direction: column;
        align-items: center;
    }

    .contact div {
        padding: 20px;
        padding-left: 40px;
        padding-right: 30px;
        font-size: 20px;

    }

    footer {
        flex-direction: column;
        align-items: center;
    }

    /*resultat.html*/
    .table-resultat td,
    .table-resultat th {
        font-size: 18px;
        width: 100%;
    }
}

@media screen and (min-width: 800px) and (max-width: 1200px) {
    /*contact*/

    .contact {
        display: grid;
        grid-template-columns: 50% 50%;
        align-items: center;
        padding: 50px;
    }

    .contact div {
        padding: 20px;
        padding-left: 40px;
        padding-right: 30px;
        font-size: 20px;
    }

}

@media screen and (min-width: 1201px) {
    /*contact*/

    .contact {
        display: grid;
        grid-template-columns: 33.3% 33.3% 33.3%;
        align-items: center;
        padding: 50px;
    }

    .contact div {
        padding: 20px;
        padding-left: 40px;
        padding-right: 30px;
        font-size: 20px;
    }

}


@media screen and (min-width: 800px) {
    /*tout le site*/

    #nav {
        display: flex
    }

    .icon-nav {
        display: none;
    }

    /*inscription.html*/

    .main-form {
        width: 700px;
        margin-bottom: 50px;

    }

    .form {
        font-size: 20px;
    }

    .form select,
    .form input {
        font-size: 20px;
    }

    /*bateau*/

    .tableau {
        font-size: 24px;
    }

    /*resultat.html*/

    .table-resultat {
        width: 85%;

    }

    .table-resultat td,
    .table-resultat th {
        font-size: 24px;
    }

    /*description.html*/

    .description p {
        font-size: 24px;
    }

    #lieu {
        margin-right: 20px;
    }

    .lieu-date {
        width: 50%;
    }

    .lieu-date p {
        font-size: 24px;
    }

    /*reglement.html*/

    .embed a {
        display: none;
    }


}

/*toutes les pages*/
html,
body {
    margin: 0;
    padding: 0;
}

body {
    font-family: Arial, Helvetica, sans-serif;
    margin: 20px;
    display: flex;
    flex-direction: column;
}

nav {
    justify-content: space-between;
    margin-bottom: 15px;
    padding: 20px;
    border-radius: 12px;
}

.nav-bleu {
    background-color: #4DD7FA;
}

.nav-violet {
    background-color: #E692F8;
}

.nav-vert {
    background-color: #72BB53;

}

#active-bleu {
    background-color: #C9F1FD;
}

#active-violet {
    background-color: #F2C9FB;
}

#active-vert {
    background-color: #CBE8BA;
}

.background-bleu {
    background-color: #EFFBFE;
    z-index: -1;
}

.background-violet {
    background-color: #F2C9FB4D;
    z-index: -1;

}

.background-vert {
    background-color: #AFDA9766;
    z-index: -1;
}

th {
    background-color: deepskyblue;
}

footer {
    align-self: center;
    display: flex;
    justify-content: space-between;
    border-radius: 12px;
    padding: 20px;
    margin: 20px;
    background-color: #F7F6F6;
    width: 80%;
}

.footer {
    position: fixed;
    bottom: 0;
}

/*index.html*/

nav a {
    background-color: #F7F6F6;
    border-radius: 6px;
    padding: 4px;
    font-size: 24px;
    text-align: center;
    color: black;
    text-decoration: none;
}


main div {
    display: flex;
    justify-content: space-between;
}

.lieu-date {
    flex-direction: column;
    align-items: flex-start;

}

nav a:hover {
    background-color: black;
    color: #F7F6F6;
}

.background-video {
    z-index: -1;
    align-items: center;
    object-fit: cover;
    position: fixed;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    width: 100%;
    height: 100%;
}

/*bateau.html*/
.blue-text {
    color: #3366ff;
}

.dark-blue-text {
    color: #0000ff;
}

.orange-text {
    color: #ff6600;
}

.red-text {
    color: #ff0000;
}

.purple-text {
    color: #800080;
}

td {
    border-style: ridge;
    border-width: 1px;
    border-color: black;
    padding: 5px;
}

th {
    border-style: ridge;
    border-width: 1px;
    border-color: black;
    padding: 5px;
}

table {
    border-collapse: collapse;
    margin: auto;

}

.bateau-h1 {
    text-align: center;
    font-size: 72px;
    color: black;
    margin-top: 50px;
}


/*description.html*/

.description {
    margin: 20px;
}

.description p {
    margin-left: 20px;
    margin-right: 20px;
    text-align: justify;
}

.description img {
    width: 400px;
    border-radius: 30px;
}

/*inscription.html*/
.background-img {
    z-index: -1;
    align-items: center;
    object-fit: cover;
    position: fixed;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    width: 100%;
    height: 100%;
}

.form {
    display: flex;
    flex-direction: column;
    width: 100%;
    border: black;
    border-style: ridge;
    border-width: 2px;
    border-radius: 16px;
    padding: 10px;
    background-color: #F7F6F6;
}

.form select,
.form input {
    margin: 10px;
    padding: 5px;
    border-radius: 6px;
    border: 1px solid #a9a9a9;
}

form p {
    margin-left: 10px;
}

.img-form {
    width: 70%;
}

.select-bateau {
    color: #a9a9a9;
}

.adresse-1 {
    display: flex;
    flex-direction: column;
    margin-top: 5px;

}

.adresse-2 {
    display: flex;
    flex-direction: row;
    margin-top: 5px;

}

.envoyer {
    width: 230px;
    height: 50px;
    margin-top: 10px;
    margin-left: 50px;
    font-size: 30px;
}

.envoyer:hover {
    background-color: #72BB53;
    color: #F7F6F6;
    box-shadow: gray 2px 2px 2px;
}

/*resultat.html*/

main th,
main td {
    font-size: 30px;
    text-align: center;
    padding-top: 10px;
    padding-bottom: 10px;
}

.main-resultat {
    text-align: center;
}

.main-resultat h1 {
    font-size: 72px;
    color: deepskyblue;
    margin-top: 50px;
}

/*reglement.html*/
.rules-100 {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin-top: 20px;
    width: 100%;
}

.rules-85 {
    display: flex;
    flex-direction: column;
    justify-content: center;
    background: #F7F6F6;
    border-radius: 70px;
    margin-top: 20px;
    width: 85%;
}

.reglement {
    max-width: 1000px;
    margin: 20px auto;
    padding: 20px;
    display: flex;
    flex-direction: column;
    font-size: x-large;
    width: 85%;

}

.title-h1 {
    font-size: 60px;
}

h1,
h2 {
    color: #0056b3;
}

ul {
    list-style-type: disc;
    margin-left: 20px;
}

section {
    margin-bottom: 20px;
}

p,
ul {
    margin: 10px 0
}

/*pdf*/
.pdf {
    display: flex;
    flex-direction: column;
    justify-content: center;
    margin-top: 20px;
    text-align: center;
    width: 100%;

}

.embed {
    width: 85%;
    align-self: center;
    flex-direction: column;
    background-color: #F7F6F6;
    border-radius: 70px;
}

embed {
    margin-top: 40px;
    width: 90%;
    height: 1700px;
    align-self: center;
    margin-bottom: 30px;
    border-radius: 12px;
}

/*contact.html*/

#contact-h1 {
    text-align: center;
    font-size: 72px;
    color: black;
    margin-top: 50px;
}

.contact div {
    display: flex;
    flex-direction: column;
    width: 230px;
    margin: 2vw;
    background-color: #F7F6F6;
    border-radius: 30px;
}